package biblioteca;

public class Libro {

	private String autore;
	private String titolo;
	private String editore;
	private int pagine;
	private double prezzo;
	private String isbn;

	public Libro() {
		this.autore = "";
		this.titolo = "";
		this.editore = "";
		this.pagine = 0;
		this.prezzo = 0.0;
		this.isbn = "";
	}

	public Libro(String autore, String titolo, String editore, int pagine, double prezzo, String isbn) {
		super();
		this.autore = autore;
		this.titolo = titolo;
		this.editore = editore;
		this.pagine = pagine;
		this.prezzo = prezzo;
		this.isbn = isbn;
	}

	public String getAutore() {
		return autore;
	}

	public void setAutore(String autore) {
		this.autore = autore;
	}

	public String getTitolo() {
		return titolo;
	}

	public void setTitolo(String titolo) {
		this.titolo = titolo;
	}

	public String getEditore() {
		return editore;
	}

	public void setEditore(String editore) {
		this.editore = editore;
	}

	public int getPagine() {
		return pagine;
	}

	public void setPagine(int pagine) {
		if (pagine>=0)
			this.pagine = pagine;
	}

	public double getPrezzo() {
		return prezzo;
	}

	public void setPrezzo(double prezzo) {
		this.prezzo = prezzo;
	}

	public String getIsbn() {
		return isbn;
	}

	public void setIsbn(String isbn) {
		this.isbn = isbn;
	}

	@Override
	public String toString() {
		return "autore\t" + autore + "\ntitolo\t" + titolo + "\neditore\t"
				+ editore + "\npagine\t" + pagine + "\nprezzo\t" + prezzo
				+ "\nISBN\t" + isbn + "\n";
	}

	public String toFile() {
		return autore + ";" + titolo + ";" + editore + ";" + pagine + ";" + prezzo + ";" + isbn;
	}

}